<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: Release notes &#39;CIAO with Thermofluid v0.1&#39;</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Release notes 'CIAO with Thermofluid v0.1' </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>The thermofluid module replaces CIAO's combustion routines entirely. In the new code, all routines have been included into modules and the data is organized to be accessible through vdfthf. Additionally, a more comprehensive hierarchical call structure has been introduced, where calls from the flow solvers (or other physical models such as lpt-spray) pass through some interface routines (e.g. <a class="el" href="thf__arts_8f90.html">thf_arts.f90</a>,<a class="el" href="thf__interface__lpt_8f90.html">thf_interface_lpt.f90</a>,..). Significant effort has been spent to convert CIAO's most important combustion models to the new code structure, but some previously available options have not yet been integrated.</p>
<p>Please find in this file some notes on changes of the new code. It includes:</p><ul>
<li>General advise</li>
<li>Changed user interface (input files)</li>
<li>Renamed files</li>
<li>Comparison/Verification of 'CIAO with thermofluid' compared to 'CIAO with combustion'</li>
</ul>
<h2>General advise</h2>
<ul>
<li>If you do modifications to routines inside the thermofluid module or <a class="el" href="thermofluid__defs_8f90.html">thermofluid_defs.f90</a>, it might be necessary to recompile the entire module due to the more capsuled data structure. This was often not needed in the previous combustion module. Keep this in mind, especially when encountering unclear/not meaningful errors from traceback.</li>
<li>The order of the quantities in the monitor files has been changed as a result of changes to many variables. Especially the file scalar has more entries now than before.</li>
<li>For the verification of your case, please follow the two sections "Comparison of runs of 'CIAO with thermofluid' and 'CIAO with combustion'" and "Comparison/Verification of 'CIAO with thermofluid' compared to 'CIAO with combustion'"</li>
</ul>
<h2>Changed user interface (input files)</h2>
<p>With replacing the combustion module by the thermofluid module, come some changes to the user interface. We have incorporated two ways to inform the user of the changes.</p><ol type="1">
<li>A new functionality checks the input file for deprecated input flags. An error (with a graceful exit) is issued at a very early stage of the run. The error message provides information on how the input flag should be revised.</li>
<li>A few input flags have been added. Meaningful error messages are issued if one of these input flags are missing.</li>
</ol>
<h3>Deprecated input flags</h3>
<ul>
<li>The chemistry model 'finite chem' has been replaced by 'finite_chem'. [CIAO allows to cycle through the entries of an input flag. Spaces separate the single entries. Therefore, the space character had to be removed.]</li>
<li>The chemistry model 'chemtable' has been replaced. The new flags are named according to the flag combModel (set within the chemtable). The new options are 'FPVA' and 'RFPVA'. Some more options are currently deprecated/not fully maintained: 'Steady Flamelet', 'Burke-Schumann', 'ANN'. [This input option covered a series of chemtable based models, which were mainly used for non-premixed combustion. This lead to a fragmented code structure, which has been replaced by a clear separation of the single models similar to premixed and multi-regime.]</li>
</ul>
<h3>New input flags</h3>
<ul>
<li>'Add scalar variance: ZMIX' This input flag adds a scalar field for the variance of a scalar (mixture fraction ZMIX in this case). The default is the computation of Zvar from the sgsmodel. The other options are the solution of a Zvar-equation and to compute Zvar from the Z^2 equation. The three options can be used as follows:<ol type="1">
<li>Add scalar variance: ZMIX -var_from_sgsmodel ! compute Zvar from sgsmodel</li>
<li>Add scalar variance: ZMIX -solve_var_eq ! solve Zvar-Eq.</li>
<li>Add scalar variance: ZMIX -solve_sc_squared ! compute Zvar from Z^2 Equation</li>
</ol>
</li>
</ul>
<h2>Renamed files</h2>
<ul>
<li>Most files have been renamed. This includes the file '<a class="el" href="mechanism_8f90.html">combustion/mechanism.f90</a>', which is now '<a class="el" href="combust__mechanism_8f90.html">thermofluid/combust_mechanism.f90</a>'. If you are not using the default mechanism, please move your mechanism file to this new location before compiling.</li>
</ul>
<h2>Comparison of runs of 'CIAO with thermofluid' and 'CIAO with combustion'</h2>
<p>To compare runs of the old and the new version, the monitor files can be compared. For a more detailed comparison, the feature 'Checksum Monitor' can be used.</p><ol type="1">
<li>A python script was (CIAO/branches/thermofluid/code/scriptCompareMonitorFolders.py) added to the repository. This script compares the columns of the monitor files even if their position has been shifted. It provides an error message for each quantity with an error as well as the time step in which the error first occurs. This script can be found at XXXX. Keep in mind that the simulations must be run with code that was compiled with debug flags in order to allow the exact floating point comparison performed by the python script.</li>
<li>To use the feature 'Checksum monitor', two flags have to be added to the CIAO input file. The variables for which the checksum is computed are set within the input file. Please use the major variables of you case. The comparison can be conducted with the same script as given in (1). Monitor preset : checksum Monitor checksum vars : RHO PROG T ZMIX U V W -update_iter .FALSE.</li>
</ol>
<h2>Comparison/Verification of 'CIAO with thermofluid' compared to 'CIAO with combustion'</h2>
<p>A series of test runs have been used to verify the code results have not been changed. Not all models have been fully tested, but some were flagged deprecated as they were not used for the last couple of years. If you want to test a case of yours thoroughly, please contact the thermofluid team. This functionality will be added in a reproducible way to the SVN before the release of 'CIAO with thermofluid' to the trunk. </p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
